﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Linq;

namespace Sitecore.TFS.PackageGenerator.PackageModel
{

    public class PackageSourceFiles : IPackageSource
    {
        private List<string> _entries = new List<string>();

        public string Name { get; set; }
        public PackageFileToEntryConverter Converter { get; private set; }

        public PackageSourceFiles()
        {
            Converter = new PackageFileToEntryConverter();
        }

        public void Add(string entry)
        {
            _entries.Add(entry);
        }

        public XElement ToXml()
        {
            XElement xFiles = new XElement("xfiles");

            XElement xEntries = new XElement("Entries");
            foreach (string entry in _entries)
            {
                xEntries.Add(new XElement("x-item", entry));
            }
            xFiles.Add(xEntries);

            xFiles.Add(Converter.ToXml());

            xFiles.Add(new XElement("Include"));
            xFiles.Add(new XElement("Exclude"));

            xFiles.Add(new XElement("Name", Name));

            return xFiles;
        }
    }

}